> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2publicfunnel ai stream



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/public/funnel/{id}/ai-stream
openapi: 3.0.0
info:
  title: Osiro API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/public/funnel/{id}/ai-stream:
    post:
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FunnelAiStreamBody'
      responses:
        '200':
          description: Streamed plain-text completion from the model
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: Prompt missing or too long
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelAiStreamError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FunnelAiStreamBody:
      type: object
      properties:
        prompt:
          type: string
          description: User prompt, max 4000 chars
      required:
        - prompt
    FunnelAiStreamError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - missing_prompt
                - prompt_too_long
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````